/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomRect_H__
#define __GdomRect_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomRect GdomRect;
typedef struct _GdomRectClass GdomRectClass;


#define GDOM_TYPE_RECT            (gdom_rect_get_type())
#define GDOM_RECT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_RECT, GdomRect))
#define GDOM_RECT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_RECT, GdomRect)Class)
#define GDOM_IS_RECT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_RECT))
#define GDOM_IS_RECT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_RECT))
#define GDOM_RECT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_RECT, GdomRectClass))

typedef struct _GdomRectPrivate GdomRectPrivate;

struct _GdomRect {
    GdomDOMObject parent_instance;
    GdomRectPrivate *priv;
};

struct _GdomRectClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_rect_get_type (void);

G_END_DECLS

#endif /* __GdomRect_H__ */
